QGIS Application - Bug report #1168
crash when a GRASS vector is edited in another software
2008-07-18 09:25 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11228
Description

1. add a GRASS vector in QGIS

2. open the same vector in GRASS v.digit

3. refresh the display in QGIS - crash:

**** The map 6 was modified ****

[[QgsGrassProvider]]::updateMap() mapld = 6

[[QgsGrass]]::setLocation(): gisdbase = /home/grassdata location = caves_utm33

Debug: /home/shoofi/src/straight/qgis-trunk/src/providers/grass/qgsgrass.cpp: 388: (error_routine) error_routine (fatal = 1):
Unable to open vector map <agro_rogow_parcels_06_Indrcl_clt06_buff100@wlasnosc> on topology level 2

Przerwane

History

#1 - 2008-09-22 01:36 PM - Tom Elwertowski
- Resolution set to fixed
- Status changed from Open to Closed

Fixed by .

The GRASS layer cannot be refreshed while it is being modified by an external process. The previously loaded map will be displayed until the external

process has finished updating the map.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
